﻿

Public Class Form1

    Private Sub ComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ComboBox1.SelectedIndexChanged
        TextBox2.Text = ComboBox1.SelectedItem.ToString()
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        If TextBox1.Text = String.Empty Then
            MessageBox.Show("Bitte API eintragen")
        Else

            '/ Was in Textbox steht
            Dim apiKey As String = TextBox1.Text
            Dim steamID As String = TextBox2.Text

            Dim steamApi As New SteamHelper(apiKey)
            Dim gi As ApiResponse = steamApi.GetApiResponse(SteamInterface.SteamUser, SteamUserMethods.GetPlayerSummaries, "steamIds=" & steamID)

            ListBox1.Items.Clear()
            PictureBox1.Image = Nothing

            '/ einfügen von farbenschrift
            ListBox1.ForeColor() = Color.Green

            '/ einfügen von response in Listbox1
            gi.response.players.player.ToList.ForEach(Sub(x) ListBox1.Items.Add($"Name: {x.personaname} - Aktuelles Game: {x.gameextrainfo}" ))

            PictureBox1.ImageLocation = gi.response.players.player.First.avatarmedium
        End If


    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        ListBox1.Items.Clear()
        PictureBox1.Image = Nothing
        TextBox2.Clear()

    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles btn.Click
        If cmbMethod.SelectedIndex = -1 Then cmbMethod.SelectedIndex = 0

        If TextBox1.Text = String.Empty Then
            MessageBox.Show("Bitte API eintragen")
        Else

            '/ Was in Textbox steht
            Dim apiKey As String = TextBox1.Text
            Dim steamID As String = TextBox2.Text

            Dim steamApi As New SteamHelper(apiKey)

            ListBox2.Items.Clear()
            Select Case cmbMethod.SelectedIndex
                Case 0
                    Dim gi As ApiResponse = steamApi.GetApiResponse(SteamInterface.SteamUser, SteamUserMethods.GetFriendList, "steamId=" & steamID, "relationship=all")
                    If gi.friendslist.friends Is Nothing OrElse gi.friendslist.friends.Count = 0 Then
                        ListBox2.Items.Add("Keine Freunde bekannt ;-(")
                    Else
                        gi.friendslist.friends.ToList.ForEach(Sub(x) ListBox2.Items.Add($"SteamID: {x.steamid} - Relationship: {x.relationship} - Since: {x.friend_since}"))
                    End If
                Case 1
                    Dim gi As ApiResponse = steamApi.GetApiResponse(SteamInterface.PlayerService, PlayerServiceMethods.GetOwnedGames, "steamId=" & steamID)
                    gi.response.games.ToList.ForEach(Sub(x) ListBox2.Items.Add($"ID: {x.appid} - WEEK: {x.playtime_2weeks} - EVER: {x.playtime_forever}"))
                Case 2
                    Dim gi As ApiResponse = steamApi.GetApiResponse(SteamInterface.PlayerService, PlayerServiceMethods.GetRecentlyPlayedGames, "steamId=" & steamID)
                    gi.response.games.ToList.ForEach(Sub(x) ListBox2.Items.Add($"ID: {x.appid} - WEEK: {x.playtime_2weeks} - EVER: {x.playtime_forever}"))
            End Select
        End If
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        ComboBox1.Items.Clear()
        ComboBox1.SelectedIndex = -1
    End Sub
End Class



















